routes/admin.php
<?php

/*
|--------------------------------------------------------------------------
| Admin Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Guest area
Route::get('', 'Admin\AuthController@loginForm');
Route::get('login', 'Admin\AuthController@loginForm')->name('admin.login.index');
Route::post('login', 'Admin\AuthController@login')->name('admin.do-login');

// Reset  password
Route::get('/forgot-password', 'Admin\ForgotPasswordController@showLinkRequestForm')->name('admin.forgot-password.index');
Route::post('/forgot-password/email', 'Admin\ForgotPasswordController@sendResetLinkEmail')->name('admin.forgot-password.action');
Route::get('/reset-password/{token}', 'Admin\ResetPasswordController@showResetForm')->name('admin.reset-password.index');
Route::post('/reset-password', 'Admin\ResetPasswordController@reset')->name('admin.reset-password.action');
Route::get('/delete/{id}','Admin\AdminAccountController@DeleteStaff')->name('admin.staff.delete');
Route::get('/settings','Admin\SettingController@index')->name('settings.index');
Route::post('/settings','Admin\SettingController@store')->name('settings.store');
// Hotel admin area
Route::group(['middleware' => 'admin'], function () {
    Route::get('logout', 'Admin\AuthController@logout')->name('admin.logout.index');
    Route::get('dashboard', 'Admin\DashboardController@index')->name('admin.dashboard.index');

    Route::resource('hotels', 'Admin\HotelController', [
        'as' => 'admin',
        'only' => ['index', 'show', 'update', 'create', 'store']
    ]);
    Route::get('/deletehotel/{id}','Admin\HotelController@destroy')->name('admin.hotel.destroy');
    Route::resource('hotel-features', 'Admin\HotelFeatureController', [
        'as' => 'admin',
        'only' => ['update']
    ]);

    // Datatables
    Route::group(['prefix' => 'data-tables'], function () {
        Route::get('hotels', 'Admin\HotelController@indexDataTable')->name('data-tables.admin.hotels');
    });

    Route::get('/staff','Admin\AdminAccountController@index')->name('staff.index');
    Route::post('/staff','Admin\AdminAccountController@create')->name('staff.create');

    // Ajax
    Route::group(['prefix' => 'ajax'], function () {
        Route::get('hotel-features', 'Admin\HotelFeatureController@ajaxGetHotelFeatures')->name('ajax.admin.hotel-features.index');
        Route::put('hotel-features/{hotel}', 'Admin\HotelFeatureController@ajaxUpdateHotelFeature')->name('ajax.admin.hotel-features.update');
    });

});

routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('', function () {
    return view('welcome', [
        'title' => 'Web ' . env('APP_NAME') . 'Testing'
    ]);
});

app/Http/Controllers/Cms/AppearanceController.php
<?php

namespace App\Http\Controllers\Cms;

use App\Models\MobileHotelTheme;
use App\Models\MobileHotelLayout;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class AppearanceController extends Controller
{
    public function index()
    {
        $hotel = auth('hotel')->user();
        $mobileHotelThemes = MobileHotelTheme::all();
        $mobileHotelLayout = MobileHotelLayout::where(function ($query) use ($hotel) {
            $query->where('hotel_id', '=', $hotel->id)
          ->orWhere('hotel_id', '=', 0);
        })->get();


        return view('cms.appearance.index', [
            'hotel' => $hotel,
            'mobileHotelThemes' => $mobileHotelThemes,
            'mobileHotelLayouts'=>$mobileHotelLayout
        ]);
    }
}

app/Http/Controllers/Cms/AuthController.php
<?php

namespace App\Http\Controllers\Cms;

use App\Http\Requests\LoginAdminRequest;
use App\Http\Requests\LoginHotelAdminRequest;
use App\Models\Admin;
use App\Http\Controllers\Controller;
use App\Models\Hotel;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;
use Carbon\Carbon;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Models\Hotel_Staff;
use App\Models\User;

class AuthController extends Controller
{
    public function loginForm()
    {
        if (auth('hotel')->check()) {
            return redirect()->route('cms.dashboard.index');
        }
        $for = "hotel_admin";
        if (\Request::route()->getName() === "cms.staff_login.index") {
            $for = "hotel_staff";
        }
        return view('cms.auth.login.index', [
            'for' => $for]);
        return view('cms.auth.login.index');
    }

    public function login(LoginHotelAdminRequest $request)
    {
        // check hotel membership expired or not
        $hotels = Hotel::where('expired_at', '<=', Carbon::now())->get();

        foreach ($hotels as $key => $hotel) {
            $hotel->is_active = 0;
            $hotel->save();
        }
        //

        $credentials = [
            'email' => $request->email,
            'password' => $request->password,
        ];

        if (Auth::guard('hotel')->attempt($credentials)) {
            $hotel=Hotel::where('id', Auth::guard('hotel')->user()->id)->first();
            return redirect()->route('cms.dashboard.index');
        }

        return Redirect::back()->withInput()->with('error', 'Incorrect credentials!.');
    }

    public function staff_login(Request $request)
    {
        $hotels = Hotel::where('expired_at', '<=', Carbon::now())->get();

        foreach ($hotels as $key => $hotel) {
            $hotel->is_active = 0;
            $hotel->save();
        }
        
        $email = $request->input('email');
        $password = $request->input('password');
        $validUser = Hotel_Staff::where([['email','=',$email],['password','=',$password]])->first();
        
        //dd(DB::getQueryLog()); // Show results of log
        if (!$validUser) {
            return Redirect::back()->withInput()->with('error', 'Incorrect credentials!.');
        }
        $hotel_account = Hotel::where('id', $validUser->hotel_id)->first();
        Auth::guard('hotel')->login($hotel_account);
        Auth::guard('hotel_staff')->login($validUser);
        return redirect()->route('cms.dashboard.index');
    }

    public function logout()
    {
        Auth::guard('hotel')->logout();
        if (auth('hotel_staff')->user()) {
            Auth::guard('hotel_staff')->logout();
        }
        return redirect()->route('cms.login.index');
    }
}

app/Http/Controllers/Cms/BillController.php
<?php

namespace App\Http\Controllers\Cms;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Hotel;
use App\Models\HotelFeature;
use App\Models\Restaurant;
use App\Models\Spa;
use Srmklive\PayPal\Services\ExpressCheckout;
use Carbon\Carbon;
use App\Models\RestaurantRoomService;
use App\Models\RoomCleaningOrder;
use Illuminate\Support\Facades\DB;


class BillController extends Controller
{

    public function index($booking_id){
        $key = "hotel_booking_id";
        $sum = 0.0;

        //$restaurant_room_services = RestaurantRoomService::where([[$key,'=',$book_id],['status','=','confirmed']])->get();
        //$sum += $restaurant_room_services->sum('total_price');
        $data = DB::select(DB::raw("select rds.price, rds.qty,rd.name from restaurant_room_services rrs 
                                    inner join restaurant_dish_restaurant_room_service rds on rrs.id = rds.restaurant_room_service_id
                                    inner join restaurant_dishes rd on rds.restaurant_dish_id = rd.id
                                    where rrs.hotel_booking_id = ".$booking_id));
        $hotel_settings = Hotel::where('id', auth('hotel')->user()->id)->first();
        
        $currency = $hotel_settings['currency'];
        $vat = $hotel_settings['vat'];
        $service_charges = $hotel_settings['service_charges'];

        return array(
            'data' => $data,
            'currency' => $currency,
            'vat' => $vat,
            'service_charges' => $service_charges
        );

    }

}

app/Http/Controllers/Cms/CheckoutController.php
<?php

namespace App\Http\Controllers\Cms;

use App\Models\HotelBooking;
use App\Services\HotelBookingService;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class CheckoutController extends Controller
{
    private $hotelBookingService;

    public function __construct(HotelBookingService $hotelBookingService)
    {
        $this->hotelBookingService = $hotelBookingService;
    }

    public function index()
    {
        return view('cms.checkout.index');
    }

    public function update(Request $request)
    {
        $hotelBookingId = $request->get('hotelBookingId', 0);
        $hotelBooking = HotelBooking::findOrFail($hotelBookingId);

        switch ($request->get('updateType', 'update')) {
            case 'checkout':
                $this->hotelBookingService->update($hotelBooking, [
                    'status' => 'checked_out',
                ]);
                return redirect()->route('cms.checkouts.index')->with('success', 'Checkout guest success.');
                break;
            case 'lateCheckout':
                $this->hotelBookingService->update($hotelBooking, [
                    'late_check_out' => $request->get('statusLateCheckout'),
                ]);
                return redirect()->route('cms.checkouts.index')->with('success', 'Late checkout guest success.');
                break;
            default:
        }
    }
}

app/Http/Controllers/Cms/ConciergeController.php
<?php

namespace App\Http\Controllers\Cms;

use App\Models\ConciergeService;
use App\Models\ConciergeServiceRequest;
use App\Models\LaundryOrder;
// use App\Models\LaundaryServiceRequest;
use App\Models\RoomCleaningOrder;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\LaundaryService;
use App\Models\Hotel;

class ConciergeController extends Controller
{
    public function index()
    {
        $conciergeServicePendingRequests = ConciergeServiceRequest::where('status', 'pending')
            ->whereHas('hotelBooking', function (Builder $query) {
                $query->where('hotel_id', auth('hotel')->user()->id);
            })
            ->with([
                'conciergeServices',
                'hotelBooking'
            ])
            ->orderBy('id', 'asc')
            ->get();
        $conciergeServicePastRequests = ConciergeServiceRequest::whereIn('status', ['rejected','cancelled','done'])
            ->whereHas('hotelBooking', function (Builder $query) {
                $query->where('hotel_id', auth('hotel')->user()->id);
            })
            ->with([
                'conciergeServices',
                'hotelBooking'
            ])
            ->orderBy('id', 'desc')
            ->get();

        $roomCleaningRequests = RoomCleaningOrder::whereHas('hotelBooking', function (Builder $query) {
            $query->where('hotel_id', auth('hotel')->user()->id);
        })
            ->with([
                'hotelBooking'
            ])
            ->orderBy('updated_at', 'asc')
            ->get();

        $laundryRequests = LaundryOrder::whereHas('hotelBooking', function (Builder $query) {
            $query->where('hotel_id', auth('hotel')->user()->id);
        })
            ->where('status', 'pending')
            ->with([
                'hotelBooking',
                    // 'laundaryServices',
            ])
            ->orderBy('updated_at', 'asc')
            ->get();

        return view('cms.concierge.index', [
            'conciergeServicePendingRequests' => $conciergeServicePendingRequests,
            'conciergeServicePastRequests' => $conciergeServicePastRequests,
            'roomCleaningRequests' => $roomCleaningRequests,
            'laundryRequests' => $laundryRequests,
        ]);
    }

    public function store(Request $request)
    {
        $name = $request->get('name', '-');
        ConciergeService::create([
            'hotel_id' => auth('hotel')->user()->id,
            'name' => $name == null ? '-' : $name,
            'description' => $request->get('description'),
        ]);

        return redirect()->route('cms.concierge-menus.index')->with('success', 'Add concierge success.');
    }
    public function insertLaundary(Request $request)
    {
        $name = $request->get('name', '-');
        LaundaryService::create([
            'hotel_id' => auth('hotel')->user()->id,
            'name' => $name == null ? '-' : $name,
            'description' => $request->get('description'),
              'price' => $request->get('price')
        ]);
        return redirect()->route('cms.laundary-menus.index')->with('success', 'Add laundary success.');
    }
    public function updateLaundary(Request $request)
    {
        LaundaryService::where('id', $request->get('concierge_service_id', 0))
            ->update([
                'name' => $request->get('nameUpdate', '-'),
                'description' => $request->get('descriptionUpdate'),
                'price'=>$request->get('priceUpdate')
            ]);
        return redirect()->route('cms.laundary-menus.index')->with('success', 'Update laundary service success.');
    }
    public function destroyLaundary(Request $request)
    {
        LaundaryService::where('id', $request->get('concierge_service_id', 0))
            ->delete();
        return redirect()->route('cms.laundary-menus.index')->with('success', 'Delete laundary service success.');
    }

    public function ajaxGetLaundaryServiceDetails(Request $request, $laundaryServiceId)
    {
        // Get details
        $conciergeService = LaundaryService::where('id', $laundaryServiceId)
            ->first();
        return [
            'status' => true,
            'conciergeService' => $conciergeService,
        ];
    }

    public function update(Request $request)
    {
        $a=  ConciergeService::where('id', $request->get('concierge_service_id', 0))
            ->update([
                'name' => $request->get('nameUpdate', '-'),
                'description' => $request->get('descriptionUpdate')
            ]);

        return redirect()->route('cms.concierge-menus.index')->with('success', 'Update concierge service success.');
    }

    public function destroy(Request $request)
    {
        ConciergeService::where('id', $request->get('concierge_service_id', 0))
            ->delete();

        return redirect()->route('cms.concierge-menus.index')->with('success', 'Delete concierge service success.');
    }

    public function ajaxGetConciergeService(Request $request)
    {
        return [
            'status' => true,
        ];
    }

    public function ajaxGetConciergeServiceDetails(Request $request, $conciergeServiceId)
    {
        // Get details
        $conciergeService = ConciergeService::where('id', $conciergeServiceId)
            ->first();

        return [
            'status' => true,
            'conciergeService' => $conciergeService,
        ];
    }

    public function ajaxGetConciergeServiceRequest(Request $request)
    {
        return [
            'status' => true,
        ];
    }

    public function ajaxGetConciergeServiceRequestDetails(Request $request, $conciergeServiceRequestId)
    {
        // Get details
        $conciergeServiceRequests = ConciergeServiceRequest::where('id', $conciergeServiceRequestId)
            ->with([
                'conciergeServices',
                'hotelBooking'
            ])
            ->first();

        return [
            'status' => true,
            'conciergeServiceRequest' => $conciergeServiceRequests,
        ];
    }

    public function showConciergeMenus(Request $request)
    {
        $conciergeServices = ConciergeService::where('hotel_id', auth('hotel')->user()->id)
            ->orderBy('id', 'desc')
            ->get();

        return view('cms.concierge.concierge-menu', [
            'conciergeServices' => $conciergeServices,

        ]);
    }
    public function showLaundaryMenus(Request $request)
    {
        $conciergeServices = LaundaryService::where('hotel_id', auth('hotel')->user()->id)
            ->orderBy('name', 'asc')
            ->get();
        $currency = Hotel::where('id', auth('hotel')->user()->id)->select('currency')->first()['currency'];
        return view('cms.concierge.laundary-menu', [
            'conciergeServices' => $conciergeServices,
            'currency' => $currency
        ]);
    }
}

app/Http/Controllers/Cms/ConciergeServiceRequestController.php
<?php

namespace App\Http\Controllers\Cms;

use App\Models\ConciergeServiceRequest;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ConciergeServiceRequestController extends Controller
{
    public function update(Request $request)
    {
        ConciergeServiceRequest::where('id', $request->get('concierge_service_request_id', 0))
            ->update([
                'status' => $request->get('status', 'done')
            ]);

        return redirect()->route('cms.concierges.index')->with('success', 'Success');
    }
}

resources/views/cms/appearance/index.blade.php
@extends('cms.layouts.app')

@section('title', __('Appearances'))
@section ('styles')
<style>
    .modal-backdrop {
    position: fixed;
    top: 0;
    left: 0;
    z-index: -1!important;
    width: 100vw;
    height: 100vh;
    background-color: #000;
}


</style>
@endsection
@section('content')

<div id="appearancesWrapper">
    <div class="row">
        <div class="col-12 col-sm-12 col-md-6 mainLogoWrapper">
            <div id="mainLogoFormWrapper">
                <div class="form-group row">
                    <label class="col-md-4 col-form-label" for="mainLogoTooltip">
                        Main logo
                        <i class="icon-info icons" id="mainLogoTooltip" data-toggle="tooltip" data-placement="top"
                            title="" data-original-title="This will be shown many times throughout the app"></i>
                    </label>
                    <div class="col-md-8">
                        <p class="alert alert-danger text-center logo_file_error" style="display: none;">Image is
                            too large.</p>
                        <button class="btn btn-shadow" id="uploadFileBtn">Upload file</button>
                        <p class="text-muted mt-3">maximum size :4 MB</p>
                        <form id="editHotelDetailsForm" method="post"
                            action="{{ route('cms.hotels.update', ['id' => auth('hotel')->user()->id]) }}"
                            enctype="multipart/form-data">
                            @csrf()
                            @method('put')
                            <input type="file" name="logo" id="logo" class="d-none" accept="image/*">
                            <input type="hidden" name="name" id="name" value="{{ $hotel->name }}">
                        </form>
                    </div>
                </div>
            </div>

            <div class="previewMainLogo">
                <div class="row">
                    <div class="col-md-4">
                        <label>Preview</label>
                    </div>
                    <div class="col-md-8">
                        <div class="imgWrapper">
                            <img src="{{ $hotel->hotel_logo_ori }}" alt="Logo">
                        </div>
                    </div>
                </div>

            </div>
        </div>
        <div class="col-12 col-sm-12 col-md-6 hotelNameWrapper">
            <div id="hotelNameFormWrapper">
                <div class="form-group row">
                    <label class="col-md-4 col-form-label" for="disabled-input">
                        Hotel name
                    </label>
                    <div class="col-md-8">
                        <button class="btn btn-shadow" id="editHotelNameBtn">Enter here</button>
                    </div>
                </div>
            </div>
            <div class="previewHotelName">
                <div class="row">
                    <div class="col-md-4">
                        <label>Preview</label>
                    </div>
                    <div class="col-md-8">
                        <h4>{{ $hotel->name }}</h4>
                    </div>
                </div>

            </div>

        </div>
    </div>
    {{-- THEME ROW --}}
    <div class="row">
        <h4>
            Themes
        </h4>
        <form id="editMobileHotelThemeForm" method="post"
            action="{{ route('cms.hotels.update', ['id' => auth('hotel')->user()->id]) }}">
            @method('put')
            @csrf()
            <input type="hidden" name="mobile_hotel_theme_id" id="mobileHotelThemeIdUpdate" value="0">
        </form>
        <div class="col-12 themesWrapper">
            @foreach($mobileHotelThemes as $mobileHotelTheme)
            @if($hotel->mobile_hotel_theme_id == $mobileHotelTheme->id)
            <div class="themeWrapper active" data-id="{{ $mobileHotelTheme->id }}">
                <img src="{{ $mobileHotelTheme->photo_preview_url }}" alt="Theme {{ $mobileHotelTheme->id }}">
            </div>
            @else
            <div class="themeWrapper" data-id="{{ $mobileHotelTheme->id }}">
                <img src="{{ $mobileHotelTheme->photo_preview_url }}" alt="Theme {{ $mobileHotelTheme->id }}">
            </div>
            @endif
            @endforeach
        </div>
    </div>
    {{-- LAYOUT ROW --}}
    <div class="row">

        <h4>
            Layouts
        </h4>
        <button class="btn btn-primary btnAddCustomLayout ml-lg-5">Add Layout</button>
        <form id="editMobileHotelLayoutForm" method="post"
            action="{{ route('cms.hotels.update', ['id' => auth('hotel')->user()->id]) }}">
            @method('put')
            @csrf()
            <input type="hidden" name="mobile_hotel_layout_id" id="mobileHotelLayoutIdUpdate" value="0">
        </form>
        <div class="col-12 layoutsWrapper">
            {{-- <button class="btn btn-danger" style="position: absolute;">Delete</button> --}}
            @foreach($mobileHotelLayouts as $mobileHotelLayout)
            @if($hotel->mobile_hotel_layout_id == $mobileHotelLayout->id)
            <div class="layoutWrapper active" data-id="{{ $mobileHotelLayout->id }}">
                <img src="{{ $mobileHotelLayout->photo_preview_url }}" alt="Layout {{ $mobileHotelLayout->id }}">
            </div>
            @else
            <div class="layoutWrapper" data-id="{{ $mobileHotelLayout->id }}">
                <img src="{{ $mobileHotelLayout->photo_preview_url }}" alt="Layout {{ $mobileHotelLayout->id }}">
            </div>
            @endif
            @endforeach
            <!-- Modal -->
            <div class="modal fade" id="customLayoutModal" tabindex="-1" role="dialog"
                aria-labelledby="customLayoutModal" aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="customLayoutModalLabel">Add Layout</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <form method="POST" action="{{ route('hotel.addHotelMobileLayout') }}" id="saveLayoutImagesForm"
                            enctype="multipart/form-data">
                            @csrf
                            <div class="modal-body customLayoutModalBody">

                                <div class="form-group">
                                    <p class="alert alert-danger text-center file_error" style="display: none;">Image is
                                        too large.</p>
                                    <label for="checkin_image">Layout Name</label>
                                    <input type="text" class="form-control" placeholder="layout name" id="layout_name"
                                        name="layout_name">
                                </div>
                                <div class="form-group">
                                    <label for="checkin_image">Checkin Image</label>
                                    <input type="file" class="form-control" data-status="false" id="checkin_image"
                                        name="checkin_image" onchange="validateImageSize(this)"
                                        aria-describedby="emailHelp">
                                    <span class="text-danger checkin_image_error" style="display: none;">Checkin image
                                        is large.</span>
                                </div>
                                <div class="form-group">
                                    <label for="checkout_image">Checkout Image</label>
                                    <input type="file" class="form-control" data-status="false" id="checkout_image"
                                        name="checkout_image" onchange="validateImageSize(this)"
                                        aria-describedby="emailHelp">
                                    <span class="text-danger checkout_image_error" style="display: none;">Checkout image
                                        is large.</span>
                                </div>
                                <div class="form-group">
                                    <label for="checkin_image">Restaurant Image</label>
                                    <input type="file" class="form-control" data-status="false" id="restaurant_image"
                                        onchange="validateImageSize(this)" name="restaurant_image"
                                        aria-describedby="emailHelp">
                                    <span class="text-danger restaurant_image_error" style="display: none;">Restaurant
                                        image is large.</span>
                                </div>
                                <div class="form-group">
                                    <label for="checkin_image">Spa Image</label>
                                    <input type="file" class="form-control" id="spa_image" data-status="false"
                                        name="spa_image" onchange="validateImageSize(this)"
                                        aria-describedby="emailHelp">
                                    <span class="text-danger spa_image_error" style="display: none;">Spa image is
                                        large.</span>
                                </div>
                                <div class="form-group">
                                    <label for="checkin_image">Concierge Image</label>
                                    <input type="file" class="form-control" id="concierge_image" data-status="false"
                                        name="concierge_image" onchange="validateImageSize(this)"
                                        aria-describedby="emailHelp">
                                    <span class="text-danger concierge_image_error" style="display: none;">Concierge
                                        image is large.</span>
                                </div>
                                <div class="form-group">
                                    <label for="checkin_image">Experience Image</label>
                                    <input type="file" class="form-control" data-status="false" id="experience_image"
                                        onchange="validateImageSize(this)" name="experience_image"
                                        aria-describedby="emailHelp">
                                    <span class="text-danger experience_image_error" style="display: none;">Experience
                                        image is large.</span>
                                </div>
                                <div class="form-group">
                                    <label for="checkin_image">Photo Preview Image</label>
                                    <input type="file" required class="form-control" data-status="false"
                                        id="photo_preview_image" onchange="validateImageSize(this)"
                                        name="photo_preview_image" aria-describedby="emailHelp">
                                    <span class="text-danger photo_preview_image_error" style="display: none;">Photo
                                        Preview Image is large.</span>
                                </div>

                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                <button type="button" class="btn btn-primary saveLayoutImagesBtn">Save</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

    </div>


</div>
@stop

@section('js')
<script>
    const hotelName = `{{ $hotel->name }}`;
</script>
<script src="{{ asset('js/custom/cms/appearance.js') }}"></script>
<script>
    function validateImageSize(image) {
        $(".file_error").hide();   
    var file_size = $(image)[0].files[0].size;
    console.log(file_size);
    if (file_size > 4097152) {
        $(image).attr('data-status',false);
    $("."+$(image).attr('id')+"_error").show();
    $('.saveLayoutImagesBtn').attr('disabled',true);
    return false;
    }else{
        $(image).attr('data-status',true);
    $('.saveLayoutImagesBtn').attr('disabled',false);
  $("."+$(image).attr('id')+"_error").hide();
    return true;
    }
    }
</script>
@stop